=== debian/changelog ===
haskell-hxt (8.5.2-1.1) unstable; urgency=low

  * Patch tagsoup-0.10-compat.patch (Closes: #587541)
    Patch taken from
    http://www.freebsd.org/cgi/cvsweb.cgi/ports/textproc/hs-hxt/files/
  * Add VCS-Fields
  * Add example to libghc6-hxt-doc
  * Switch to 3.0 (quilt) source format
  * Run ghc6 without active timer (+RTS -V0 -RTS). Should work around
    http://hackage.haskell.org/trac/ghc/ticket/4074 on slow arches.
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Sat, 10 Jul 2010 20:00:07 +0200

haskell-hxt (8.5.2-1) unstable; urgency=low

  * New Upstream version 8.5.2
  * debian/control:
    * Build-Depends: change to libcurl4-gnutls-dev from libcurl4-openssl-dev.
      (Closes: #574534, #574807)
    * Build-Depends: Add cabal-install.
  * debian/control: Maitainer is changed to Debia Haskell Group.
  * debian/control: add my name to Uploaders:. 

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 21 Mar 2010 20:40:39 +0900

haskell-hxt (8.5.1-1) unstable; urgency=low

  * Initial release (Closes: #511325)

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 15 Mar 2010 22:00:04 +0900
