=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE=1

DEB_CABAL_PACKAGE = hxt
DEB_SETUP_GHC6_CONFIGURE_ARGS = --ghc-options="+RTS -V0 -RTS"

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk
