=== debian/changelog ===
haskell-hxt (9.0.0-1) unstable; urgency=low

  * New Upstream version 9.0.0

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 28 Oct 2010 15:00:28 +0900

haskell-hxt (8.5.4-1) unstable; urgency=low

  * New Upstream.
  * deleate 'debian/libghc6-hxt-doc.examples'.
  * debian/control:
    * change Priority to extra 
    * Updated to Standards-Version 3.9.1 (no changes needed)
  * debian/patcheds: removed. It is not required any more.

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 25 Aug 2010 13:58:42 +0900
