=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: haskell-hxt
 Section: haskell
-Priority: optional
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org> 
-Uploaders: TANIGUCHI Takaki <takaki@debian.org>
+Priority: extra
+Maintainer: TANIGUCHI Takaki <takaki@debian.org>
+Uploaders: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org> 
 Build-Depends:
 	cdbs,
 	debhelper (>= 7),
@@ -26,7 +26,19 @@
 	libghc6-deepseq-dev,
 	libghc6-deepseq-prof,
 	libghc6-deepseq-doc,
-Standards-Version: 3.9.0
+	libghc6-binary-dev,
+	libghc6-binary-prof,
+	libghc6-binary-doc,
+	libghc6-hxt-charproperties-dev,
+	libghc6-hxt-charproperties-prof,
+	libghc6-hxt-charproperties-doc,
+	libghc6-hxt-regex-xmlschema-dev,
+	libghc6-hxt-regex-xmlschema-prof,
+	libghc6-hxt-regex-xmlschema-doc,
+	libghc6-hxt-unicode-dev,
+	libghc6-hxt-unicode-prof,
+	libghc6-hxt-unicode-doc,
+Standards-Version: 3.9.1
 Homepage: http://www.fh-wedel.de/~si/HXmlToolbox/
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-hxt
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-hxt
@@ -56,7 +68,7 @@
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: an xml toolkit for Haskel (profiling library)l
+Description: an xml toolkit for Haskel (profiling library)
  The Haskell XML Toolbox bases on the ideas of HaXml and HXML, but
  introduces a more general and flexible approach for processing XML
  with Haskell. The Haskell XML Toolbox uses a generic data model for
