## haskell-hxt 9.0.1

=== debian/changelog ===
haskell-hxt (9.0.1-1build1) natty; urgency=low

  * Rebuild against new library ABIs

 -- Iain Lane <laney@ubuntu.com>  Thu, 17 Feb 2011 13:46:33 +0000

haskell-hxt (9.0.1-1) unstable; urgency=low

  * New upstream.

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 09 Dec 2010 08:47:25 +0900
