=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: haskell-hxt
 Section: haskell
 Priority: extra
-Maintainer: TANIGUCHI Takaki <takaki@debian.org>
-Uploaders: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org> 
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org> 
+Uploaders: TANIGUCHI Takaki <takaki@debian.org>
 Build-Depends:
 	cdbs,
 	debhelper (>= 7),
