=== debian/changelog ===
haskell-hxt (9.1.1-1build1) oneiric; urgency=low

  * No change rebuild against new GHC ABIs

 -- Iain Lane <laney@ubuntu.com>  Tue, 07 Jun 2011 09:19:01 +0100

haskell-hxt (9.1.1-1) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ TANIGUCHI Takaki ]
  * Nes upstream.

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 14 Apr 2011 10:53:40 +0900
