=== debian/control ===
Source: haskell-hxt
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org> 
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends:
	cdbs,
	debhelper (>= 7),
	haskell-devscripts(>= 0.7),
	libcurl4-gnutls-dev | libcurl-dev,
	ghc,
	ghc-prof,
	ghc-doc,
	libghc-curl-dev,
	libghc-curl-prof,
	libghc-curl-doc,
	libghc-tagsoup-dev(>=0.8),
	libghc-tagsoup-prof,
	libghc-tagsoup-doc,
	libghc-parallel-dev,
	libghc-parallel-prof,
	libghc-parallel-doc,
	libghc-hunit-dev,
	libghc-hunit-prof,
	libghc-hunit-doc,
	libghc-deepseq-dev,
	libghc-deepseq-prof,
	libghc-deepseq-doc,
	libghc-binary-dev,
	libghc-binary-prof,
	libghc-binary-doc,
	libghc-hxt-charproperties-dev,
	libghc-hxt-charproperties-prof,
	libghc-hxt-charproperties-doc,
	libghc-hxt-regex-xmlschema-dev,
	libghc-hxt-regex-xmlschema-prof,
	libghc-hxt-regex-xmlschema-doc,
	libghc-hxt-unicode-dev,
	libghc-hxt-unicode-prof,
	libghc-hxt-unicode-doc,
Standards-Version: 3.9.1
Homepage: http://www.fh-wedel.de/~si/HXmlToolbox/
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-hxt
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-hxt

Package: libghc-hxt-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: xml toolkit for Haskell (library)
 The Haskell XML Toolbox bases on the ideas of HaXml and HXML, but
 introduces a more general and flexible approach for processing XML
 with Haskell. The Haskell XML Toolbox uses a generic data model for
 representing XML documents, including the DTD subset and the document
 subset, in Haskell. This data model makes it possible to use filter
 functions as a uniform design of XML processing applications. The
 processing filters are implemented as arrows. This is more flexible
 than the filter approach from HXML and HaXml, but all filter
 applications can easily be transformed into arrows.
 .
 This package contains the libraries compiled for GHC.

Package: libghc-hxt-prof
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: xml toolkit for Haskel (profiling library)
 The Haskell XML Toolbox bases on the ideas of HaXml and HXML, but
 introduces a more general and flexible approach for processing XML
 with Haskell. The Haskell XML Toolbox uses a generic data model for
 representing XML documents, including the DTD subset and the document
 subset, in Haskell. This data model makes it possible to use filter
 functions as a uniform design of XML processing applications. The
 processing filters are implemented as arrows. This is more flexible
 than the filter approach from HXML and HaXml, but all filter
 applications can easily be transformed into arrows.
 .
 This package contains the profiling libraries compiled for GHC.

Package: libghc-hxt-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: xml toolkit for Haskell (documentation)
 The Haskell XML Toolbox bases on the ideas of HaXml and HXML, but
 introduces a more general and flexible approach for processing XML
 with Haskell. The Haskell XML Toolbox uses a generic data model for
 representing XML documents, including the DTD subset and the document
 subset, in Haskell. This data model makes it possible to use filter
 functions as a uniform design of XML processing applications. The
 processing filters are implemented as arrows. This is more flexible
 than the filter approach from HXML and HaXml, but all filter
 applications can easily be transformed into arrows.
 .
 This package contains the library documentation.
