## haskell-hxt 9.1.2

=== debian/changelog ===
haskell-hxt (9.1.2-1) unstable; urgency=low

  * New upstream release
  * Standards-Version: 3.9.2

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 20 Jun 2011 11:31:17 +0900
