=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
 	libghc-hxt-unicode-dev,
 	libghc-hxt-unicode-prof,
 	libghc-hxt-unicode-doc,
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.fh-wedel.de/~si/HXmlToolbox/
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-hxt
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-hxt
