## haskell-hxt 9.1.5

=== debian/changelog ===
haskell-hxt (9.1.5-1build1) precise; urgency=low

  * No change rebuild for new libghc-hunit-dev

 -- Micah Gersten <micahg@ubuntu.com>  Mon, 26 Dec 2011 01:04:25 -0600

haskell-hxt (9.1.5-1) unstable; urgency=low

  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 15 Nov 2011 11:13:21 +0900

haskell-hxt (9.1.4-2) unstable; urgency=low

  [ Joachim Breitner ]
  * Fix typo in description (Closes: #642226) 

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 27 Sep 2011 10:25:58 +0900

haskell-hxt (9.1.4-1) unstable; urgency=low

  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 20 Sep 2011 10:55:03 +0900
