=== debian/control ===
--- 
+++ 
@@ -68,7 +68,7 @@
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: xml toolkit for Haskel (profiling library)
+Description: xml toolkit for Haskell (profiling library)
  The Haskell XML Toolbox bases on the ideas of HaXml and HXML, but
  introduces a more general and flexible approach for processing XML
  with Haskell. The Haskell XML Toolbox uses a generic data model for
