## haskell-hxt 9.2.2

=== debian/changelog ===
haskell-hxt (9.2.2-2build2) quantal; urgency=low

  * No-change rebuild for GHC 7.4.2-2

 -- Iain Lane <laney@ubuntu.com>  Mon, 13 Aug 2012 09:16:29 +0000

haskell-hxt (9.2.2-2build1) quantal; urgency=low

  * No-change rebuild for new ghc ABI.

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 31 Jul 2012 20:18:04 +0200

haskell-hxt (9.2.2-2) unstable; urgency=low

  * debian/copyright: Rewrite in new copyright format. 

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 05 Mar 2012 20:25:17 +0900

haskell-hxt (9.2.2-1) unstable; urgency=low

  * New upstream release
  * debian/patches/haskell98: Removed.   
  * Update Standards-Version to 3.9.3. 

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 05 Mar 2012 11:24:03 +0900

haskell-hxt (9.1.5-3) unstable; urgency=low

  * Temporarily remove libghc-binary-* from build dependencies.
    ghc 7.4 at least temporarily provides these, and this avoids FTBFS
    on the autobuilders due to #659081.

 -- Joey Hess <joeyh@debian.org>  Tue, 28 Feb 2012 21:21:56 -0400

haskell-hxt (9.1.5-2) unstable; urgency=low

  * Sourceful upload to rebuild documentation package 
  * Remove haskell98 build dependency from cabal file.

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Feb 2012 12:38:31 -0400
