=== debian/control ===
--- 
+++ 
@@ -26,9 +26,6 @@
 	libghc-deepseq-dev,
 	libghc-deepseq-prof,
 	libghc-deepseq-doc,
-	libghc-binary-dev,
-	libghc-binary-prof,
-	libghc-binary-doc,
 	libghc-hxt-charproperties-dev,
 	libghc-hxt-charproperties-prof,
 	libghc-hxt-charproperties-doc,
@@ -38,7 +35,7 @@
 	libghc-hxt-unicode-dev,
 	libghc-hxt-unicode-prof,
 	libghc-hxt-unicode-doc,
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.fh-wedel.de/~si/HXmlToolbox/
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-hxt
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-hxt
