=== debian/changelog ===
haskell-hxt (9.3.1.1-2build1) saucy; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 28 May 2013 22:45:27 +0100

haskell-hxt (9.3.1.1-2) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:51:06 +0200

haskell-hxt (9.3.1.1-1) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * New upstream release
  * Fix build dependencies, they were completely bogus

 -- Joachim Breitner <nomeata@debian.org>  Fri, 19 Oct 2012 22:58:54 +0200

haskell-hxt (9.2.2-3) experimental; urgency=low

  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Sun, 14 Oct 2012 12:01:15 +0200
