=== debian/control ===
--- 
+++ 
@@ -5,37 +5,40 @@
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
 Build-Depends:
 	cdbs,
-	debhelper (>= 7),
-	haskell-devscripts(>= 0.7),
-	libcurl4-gnutls-dev | libcurl-dev,
+	debhelper (>= 9),
+	haskell-devscripts (>= 0.8.15),
 	ghc,
 	ghc-prof,
 	ghc-doc,
-	libghc-curl-dev,
-	libghc-curl-prof,
-	libghc-curl-doc,
-	libghc-tagsoup-dev(>=0.8),
-	libghc-tagsoup-prof,
-	libghc-tagsoup-doc,
-	libghc-parallel-dev,
-	libghc-parallel-prof,
-	libghc-parallel-doc,
-	libghc-hunit-dev,
+	libghc-network-dev (>= 2.4),
+	libghc-network-dev (<< 3),
+	libghc-network-prof,
+	libghc-network-doc,
+	libghc-parsec3-dev (>= 2.1),
+	libghc-parsec3-dev (<< 4),
+	libghc-parsec3-prof,
+	libghc-parsec3-doc,
+	libghc-mtl-dev (>= 2),
+	libghc-mtl-dev (<< 3),
+	libghc-mtl-prof,
+	libghc-mtl-doc,
+	libghc-hunit-dev (>= 1.2),
+	libghc-hunit-dev (<< 2),
 	libghc-hunit-prof,
 	libghc-hunit-doc,
-	libghc-deepseq-dev,
-	libghc-deepseq-prof,
-	libghc-deepseq-doc,
-	libghc-hxt-charproperties-dev,
+	libghc-hxt-charproperties-dev (>= 9.1),
+	libghc-hxt-charproperties-dev (<< 10),
 	libghc-hxt-charproperties-prof,
 	libghc-hxt-charproperties-doc,
-	libghc-hxt-regex-xmlschema-dev,
-	libghc-hxt-regex-xmlschema-prof,
+	libghc-hxt-regex-xmlschema-dev (>= 9),
+	libghc-hxt-regex-xmlschema-dev (<< 10),
+	libghc-hxt-regex-xmlschema-prof ,
 	libghc-hxt-regex-xmlschema-doc,
-	libghc-hxt-unicode-dev,
+	libghc-hxt-unicode-dev (>= 9),
+	libghc-hxt-unicode-dev (<< 10),
 	libghc-hxt-unicode-prof,
 	libghc-hxt-unicode-doc,
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.fh-wedel.de/~si/HXmlToolbox/
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-hxt
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-hxt
@@ -46,7 +49,7 @@
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: xml toolkit for Haskell (library)
+Description: xml toolkit for Haskell (library)${haskell:ShortBlurb}
  The Haskell XML Toolbox bases on the ideas of HaXml and HXML, but
  introduces a more general and flexible approach for processing XML
  with Haskell. The Haskell XML Toolbox uses a generic data model for
@@ -57,7 +60,7 @@
  than the filter approach from HXML and HaXml, but all filter
  applications can easily be transformed into arrows.
  .
- This package contains the libraries compiled for GHC.
+ ${haskell:Blurb}
 
 Package: libghc-hxt-prof
 Architecture: any
@@ -65,7 +68,7 @@
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: xml toolkit for Haskell (profiling library)
+Description: xml toolkit for Haskell (profiling library)${haskell:ShortBlurb}
  The Haskell XML Toolbox bases on the ideas of HaXml and HXML, but
  introduces a more general and flexible approach for processing XML
  with Haskell. The Haskell XML Toolbox uses a generic data model for
@@ -76,7 +79,7 @@
  than the filter approach from HXML and HaXml, but all filter
  applications can easily be transformed into arrows.
  .
- This package contains the profiling libraries compiled for GHC.
+ ${haskell:Blurb}
 
 Package: libghc-hxt-doc
 Section: doc
@@ -85,7 +88,7 @@
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: xml toolkit for Haskell (documentation)
+Description: xml toolkit for Haskell (documentation)${haskell:ShortBlurb}
  The Haskell XML Toolbox bases on the ideas of HaXml and HXML, but
  introduces a more general and flexible approach for processing XML
  with Haskell. The Haskell XML Toolbox uses a generic data model for
@@ -96,5 +99,5 @@
  than the filter approach from HXML and HaXml, but all filter
  applications can easily be transformed into arrows.
  .
- This package contains the library documentation.
+ ${haskell:Blurb}
