## haskell-hxt 9.3.1.4

=== debian/changelog ===
haskell-hxt (9.3.1.4-1build1) utopic; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 08 Aug 2014 12:04:31 +0200

haskell-hxt (9.3.1.4-1) unstable; urgency=low

  * Adjust watch file to new hackage layout
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 04 Aug 2014 23:17:02 +0200
