=== debian/control ===
Source: haskell-hxt
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.10),
 cdbs,
 ghc,
 ghc-prof,
 libghc-hunit-dev (>= 1.2),
 libghc-hunit-dev (<< 2),
 libghc-hunit-prof,
 libghc-hxt-charproperties-dev (>= 9.1),
 libghc-hxt-charproperties-dev (<< 10),
 libghc-hxt-charproperties-prof,
 libghc-hxt-regex-xmlschema-dev (>= 9.2),
 libghc-hxt-regex-xmlschema-dev (<< 10),
 libghc-hxt-regex-xmlschema-prof,
 libghc-hxt-unicode-dev (>= 9.0.1),
 libghc-hxt-unicode-dev (<< 10),
 libghc-hxt-unicode-prof,
 libghc-mtl-dev (>= 2.0.1),
 libghc-mtl-dev (<< 3),
 libghc-mtl-prof,
 libghc-network-uri-dev (>= 2.6),
 libghc-network-uri-prof,
 libghc-parsec3-dev (>= 2.1),
 libghc-parsec3-dev (<< 4),
 libghc-parsec3-prof,
Build-Depends-Indep: ghc-doc,
 libghc-hunit-doc,
 libghc-hxt-charproperties-doc,
 libghc-hxt-regex-xmlschema-doc,
 libghc-hxt-unicode-doc,
 libghc-mtl-doc,
 libghc-network-uri-doc,
 libghc-parsec3-doc,
Standards-Version: 3.9.6
Homepage: https://github.com/UweSchmidt/hxt
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-hxt-dev
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: xml toolkit for Haskell (library)${haskell:ShortBlurb}
 The Haskell XML Toolbox bases on the ideas of HaXml and HXML, but
 introduces a more general and flexible approach for processing XML
 with Haskell. The Haskell XML Toolbox uses a generic data model for
 representing XML documents, including the DTD subset and the document
 subset, in Haskell. This data model makes it possible to use filter
 functions as a uniform design of XML processing applications. The
 processing filters are implemented as arrows. This is more flexible
 than the filter approach from HXML and HaXml, but all filter
 applications can easily be transformed into arrows.
 .
 ${haskell:Blurb}

Package: libghc-hxt-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: xml toolkit for Haskell (profiling library)${haskell:ShortBlurb}
 The Haskell XML Toolbox bases on the ideas of HaXml and HXML, but
 introduces a more general and flexible approach for processing XML
 with Haskell. The Haskell XML Toolbox uses a generic data model for
 representing XML documents, including the DTD subset and the document
 subset, in Haskell. This data model makes it possible to use filter
 functions as a uniform design of XML processing applications. The
 processing filters are implemented as arrows. This is more flexible
 than the filter approach from HXML and HaXml, but all filter
 applications can easily be transformed into arrows.
 .
 ${haskell:Blurb}

Package: libghc-hxt-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: xml toolkit for Haskell (documentation)${haskell:ShortBlurb}
 The Haskell XML Toolbox bases on the ideas of HaXml and HXML, but
 introduces a more general and flexible approach for processing XML
 with Haskell. The Haskell XML Toolbox uses a generic data model for
 representing XML documents, including the DTD subset and the document
 subset, in Haskell. This data model makes it possible to use filter
 functions as a uniform design of XML processing applications. The
 processing filters are implemented as arrows. This is more flexible
 than the filter approach from HXML and HaXml, but all filter
 applications can easily be transformed into arrows.
 .
 ${haskell:Blurb}
