=== debian/changelog ===
haskell-hxt (9.3.1.16-2build3) artful; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 21 Jun 2017 05:15:42 +0000

haskell-hxt (9.3.1.16-2build2) zesty; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 25 Jan 2017 07:18:46 +0100

haskell-hxt (9.3.1.16-2build1) zesty; urgency=medium

  * Rebuild against latest GHC.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Wed, 25 Jan 2017 10:37:52 +0530

haskell-hxt (9.3.1.16-2) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:34:25 -0400

haskell-hxt (9.3.1.16-1) experimental; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Wed, 26 Oct 2016 19:01:06 -0400

haskell-hxt (9.3.1.15-5) experimental; urgency=medium

  [ Joachim Breitner ]
  * Fix description redundancies (Closes: #813794)

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)

  [ Clint Adams ]
  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Sun, 16 Oct 2016 01:26:09 -0400
